Slackwarearm-current ChangeLog (2018-09-27)

Thu Sep 27 08:08:08 UTC 2018


The mini root filesystem for -current has been updated:
ftp://ftp.arm.slackware.com/slackwarearm/slackwarearm-devtools/minirootfs/
  • a/aaa_terminfo-6.1_20180923-arm-1.txz
  • a/eudev-3.2.6-arm-1.txz
    Removed unneeded groups “render” and “kvm” from 50-udev-default.rules.
    Thanks to Richard David Sherman.
    Fixed issues with the default rules. Thanks to zuriel.
  • a/glibc-solibs-2.28-arm-1.txz
  • ap/opus-tools-0.2-arm-1.txz
  • ap/sqlite-3.25.1-arm-1.txz
  • ap/vim-8.1.0436-arm-1.txz
  • d/Cython-0.28.5-arm-1.txz
  • d/help2man-1.47.7-arm-1.txz
  • d/icecream-20180905_cdc6ff8-arm-1.txz
  • d/llvm-7.0.0-arm-1.txz
    Shared library .so-version bump.
  • d/meson-0.48.0-arm-1.txz
  • d/parallel-20180922-noarch-1.txz
  • d/python-setuptools-40.4.3-arm-1.txz
  • d/re2c-1.1.1-arm-1.txz
  • l/M2Crypto-0.30.1-arm-1.txz
  • l/cairo-1.15.14-arm-1.txz
  • l/glibc-2.28-arm-1.txz
    Thanks to nobodino for the help.
  • l/glibc-i18n-2.28-arm-1.txz
  • l/glibc-profile-2.28-arm-1.txz
  • l/gst-plugins-base-1.14.3-arm-1.txz
  • l/gst-plugins-good-1.14.3-arm-1.txz
  • l/gst-plugins-libav-1.14.3-arm-1.txz
  • l/gstreamer-1.14.3-arm-1.txz
  • l/imagemagick-6.9.10_11-arm-1.txz
  • l/librsvg-2.44.4-arm-1.txz
  • l/ncurses-6.1_20180923-arm-1.txz
  • l/opus-1.3_rc2-arm-1.txz
  • l/opusfile-0.11-arm-1.txz
  • l/pycairo-1.17.1-arm-1.txz
  • l/pycurl-7.43.0.2-arm-1.txz
  • l/pyparsing-2.2.1-arm-1.txz
  • n/ModemManager-1.8.2-arm-1.txz
  • n/bind-9.12.2_P2-arm-1.txz
    This update fixes security issues:
    There was a long-existing flaw in the documentation for ms-self, krb5-self,
    ms-subdomain, and krb5-subdomain rules in update-policy statements. Though
    the policies worked as intended, operators who configured their servers
    according to the misleading documentation may have thought zone updates were
    more restricted than they were; users of these rule types are advised to
    review the documentation and correct their configurations if necessary. New
    rule types matching the previously documented behavior will be introduced in
    a future maintenance release.
    named could crash during recursive processing of DNAME records when
    deny-answer-aliases was in use. This flaw is disclosed in CVE-2018-5740.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5740
    (* Security fix *)
  • n/gnutls-3.6.4-arm-1.txz
  • n/httpd-2.4.35-arm-1.txz
    This release fixes bugs and regressions in httpd-2.4.34, adds an
    apache2ctl → apachectl symlink, and no longer automatically
    overwrites rc.httpd when upgraded.
  • x/mesa-18.2.1-arm-1.txz
    Compiled against llvm-7.0.0.
  • x/xterm-337-arm-1.txz
  • xap/mozilla-firefox-60.2.1esr-arm-1.txz
    This release contains security fixes and improvements.
    A potentially exploitable crash in TransportSecurityInfo used for SSL
    can be triggered by data stored in the local cache in the user profile
    directory. This issue is only exploitable in combination with another
    vulnerability allowing an attacker to write data into the local cache
    or from locally installed malware. This issue also triggers a
    non-exploitable startup crash for users switching between the Nightly
    and Release versions of Firefox if the same profile is used.
    For more information, see:
    https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html
    https://www.mozilla.org/en-US/security/advisories/mfsa2018-23/
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12383
    (* Security fix *)
  • xap/vim-gvim-8.1.0436-arm-1.txz
  • a/kernel-modules-armv7-4.17.19_armv7-arm-2.txz
  • a/kernel_armv7-4.17.19-arm-2.txz
  • d/kernel-headers-4.17.19-arm-2.txz
  • k/kernel-source-4.17.19-arm-2.txz
  • l/ffmpeg-3.4.4-arm-2.txz
    Don't try to link with Samba since the latest version is not compatible.
  • l/soprano-2.9.4-arm-3.txz
    Recompiled to drop virtuoso dependency.
  • n/fetchmail-6.3.26-arm-4.txz
    Patched to fix certificate verification failures with OpenSSL 1.1.1.
    Thanks to Jurgen Van Ham.
  • n/postfix-3.3.1-arm-3.txz
    Recompiled so that it quits whining about OpenSSL. Thanks to shastah.
  • x/xf86-video-vmware-13.3.0-arm-2.txz
    Recompiled against llvm-7.0.0.
  • isolinux/*
  • kernels/*
  • l/libopusenc-0.2-arm-1.txz
  • l/virtuoso-ose-6.1.8-arm-7.txz
    Even KDE4 has migrated away from actually using this for anything. The last
    thing in Slackware that was dependent on it was Soprano, which has been
    recompiled to no longer use it.
  • news/2018/09/27/slackwarearm-current-changelog.txt
  • Last modified: 2 years ago
  • by Giuseppe Di Terlizzi